FUNCTION cmpgrid, newgrid
;
@common
;
;
; newgrid must be a structure
;
   if size(newgrid, /type) NE 8 then return, 0
;
; does ccmeshparameters exist ?
;
   if n_elements(ccmeshparameters) EQ 0 then return, 1
;
; we compare the structure which caracterise the grid whith
; ccmeshparameters
;
   case 1 of
      ccmeshparameters.filename NE newgrid.filename:
      ccmeshparameters.filetype NE newgrid.filetype:
      ccmeshparameters.jpiglo NE newgrid.jpiglo:
      ccmeshparameters.jpjglo NE newgrid.jpjglo:
      ccmeshparameters.jpkglo NE newgrid.jpkglo:
      ccmeshparameters.jpi NE newgrid.jpi:
      ccmeshparameters.jpj NE newgrid.jpj:
      ccmeshparameters.jpk NE newgrid.jpk:
      ccmeshparameters.ixminmesh NE newgrid.ixminmesh:
      ccmeshparameters.ixmaxmesh NE newgrid.ixmaxmesh:
      ccmeshparameters.iyminmesh NE newgrid.iyminmesh:
      ccmeshparameters.iymaxmesh NE newgrid.iymaxmesh:
      ccmeshparameters.izminmesh NE newgrid.izminmesh:
      ccmeshparameters.izmaxmesh NE newgrid.izmaxmesh:
      ccmeshparameters.key_shift NE newgrid.key_shift:
      ELSE:return, 0
   endcase

   return, 1
end
